#!/bin/sh
# Run fetch-latest-format.sh for the most up-to-date emojibase format. Target is raw.json
reactions="$(yq . /dev/stdin < reactions.yaml)"
jq -n --argjson reactions "$reactions" \
  '[
  $reactions[] | {
    label: .emoji,
    hexcode: "2721",
    shortcodes: [ .emoji ],
    tags: (.tags? + [ .emoji ]),
    emoji: .emoji,
    text: .emoji,
    type: 0,
    order: 0,
    group: 8,
    subgroup: 93,
    version: 0.7
  }
]'


